#define EMISSION  10     // Emission sur broche 10
#define ECHO     13      // Reception sur broche 13

float deltat, distance;

void setup() {
  Serial.begin (9600);         
  pinMode(EMISSION, OUTPUT);   
  digitalWrite(EMISSION, LOW); 
  pinMode(ECHO, INPUT);        
}
void loop() {
// Envoie une salve d'ultrasons de 10us depuis la broche Emission
  delayMicroseconds(2);         //Delai de 2us
  digitalWrite(EMISSION, HIGH); //Début de l'emission de la salve
  delayMicroseconds(10);        //Delai de 10us
  digitalWrite(EMISSION, LOW);  //Fin de l'émission de la salve
  
// Mesure deltat en us entre l'émission et l'écho avec la fonction pulseIn()
  noInterrupts();
  deltat = pulseIn(ECHO, HIGH);
  interrupts();

// Calcule la distance en cm à partir de deltat et v(son) = 3,4E2 m/s
  distance = ...A compléter...;
    
//Affiche la distance dans le moniteur série    
    Serial.print(distance);
    Serial.println(" cm");
  
  delay(100);             //Impose un délai de 100ms
}
